---
id: macho
title: macho
hide_title: true
hide_table_of_contents: true
sidebar_label: macho
description: Parse MachO
---
## ipsw macho

Parse MachO

```
ipsw macho [flags]
```

### Options

```
  -h, --help   help for macho
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw macho a2o](/docs/cli/ipsw/macho/a2o)	 - Convert MachO address to offset
* [ipsw macho a2s](/docs/cli/ipsw/macho/a2s)	 - Lookup symbol at unslid address
* [ipsw macho bbl](/docs/cli/ipsw/macho/bbl)	 - Create single universal/fat MachO out many MachOs
* [ipsw macho disass](/docs/cli/ipsw/macho/disass)	 - Disassemble ARM64 MachO at symbol/vaddr
* [ipsw macho dump](/docs/cli/ipsw/macho/dump)	 - Dump MachO data at given virtual address
* [ipsw macho info](/docs/cli/ipsw/macho/info)	 - Explore a MachO file
* [ipsw macho lipo](/docs/cli/ipsw/macho/lipo)	 - Extract single MachO out of a universal/fat MachO
* [ipsw macho o2a](/docs/cli/ipsw/macho/o2a)	 - Convert MachO offset to address
* [ipsw macho patch](/docs/cli/ipsw/macho/patch)	 - Patch MachO Load Commands
* [ipsw macho search](/docs/cli/ipsw/macho/search)	 - Find Mach-O files for given search criteria
* [ipsw macho sign](/docs/cli/ipsw/macho/sign)	 - Codesign a MachO

